> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hexclave.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a team

> Get a team that the current user is a member of.



## OpenAPI

````yaml /openapi/client.json get /teams/{team_id}
openapi: 3.1.0
info:
  title: Hexclave REST API
  version: 1.0.0
  description: >-
    The Hexclave REST API. All request headers are documented as canonical
    `X-Hexclave-*`; the equivalent `X-Stack-*` aliases are accepted on every
    endpoint for backwards compatibility. Response headers
    `X-Hexclave-actual-status`, `X-Hexclave-known-error`, and
    `X-Hexclave-request-id` are emitted alongside their legacy `X-Stack-*`
    equivalents.
servers:
  - url: https://api.hexclave.com/api/v1
    description: Hexclave REST API
security: []
paths:
  /teams/{team_id}:
    get:
      tags:
        - Teams
      summary: Get a team
      description: Get a team that the current user is a member of.
      parameters:
        - name: team_id
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: ad962777-8244-496a-b6a2-e0c6a449c79e
                    description: The unique identifier of the team
                  display_name:
                    type: string
                    example: My Team
                    description: >-
                      Human-readable team display name. This is not a unique
                      identifier.
                  profile_image_url:
                    type: string
                    example: https://example.com/image.jpg
                    description: >-
                      URL of the profile image for team. Can be a Base64 encoded
                      image. Must be smaller than 100KB. Please compress and
                      crop to a square before passing in.
                  client_metadata:
                    type: object
                    example:
                      key: value
                    description: >-
                      Client metadata. Used as a data store, accessible from the
                      client side. Do not store information that should not be
                      exposed to the client.
                  client_read_only_metadata:
                    type: object
                    example:
                      key: value
                    description: >-
                      Client read-only, server-writable metadata. Used as a data
                      store, accessible from the client side. Do not store
                      information that should not be exposed to the client. The
                      client can read this data, but cannot modify it. This is
                      useful for things like subscription status.
                required:
                  - id
                  - display_name

````